jQuery(document).ready( function($){
	$( "#wcgwp_note_fee" ).on( "change", function() {
		$.viewMap = {
			"yes" : $( ".wcgwp_note_fee_amount" ),
			"no"  : $( [] ),
		};
		$.each( $.viewMap, function() {
			this.closest( "tr" ).hide();
		});
		$.viewMap[ $(this).val() ].closest( "tr" ).show();
	}).trigger( "change" );
	$( "#wcgwp_line_item_modal" ).on( "change", function() {
		$.viewMap = {
			"yes" : $( ".wcgwp_product_show_thumb,.wcgwp_product_link" ),
			"alt" : $( [] ),
			"no"  : $( ".wcgwp_product_show_thumb,.wcgwp_product_link" ),
		};
		$.each( $.viewMap, function() {
			this.closest( "tr" ).hide();
		} );
		$.viewMap[ $(this).val() ].closest( "tr" ).show();
	}).trigger( "change" );
	$( "#wcgwp_modal" ).on( "change", function() {
		$.viewMap = {
			"yes" : $( ".wcgwp_show_thumb,.wcgwp_link" ),
			"alt" : $([]),
			"no"  : $( ".wcgwp_show_thumb,.wcgwp_link" ),
		};
		$.each( $.viewMap, function() {
			this.closest( "tr" ).hide();
		});
		$.viewMap[ $( this ).val() ].closest( "tr" ).show();
	}).trigger( "change" );
	$( "#wcgwp_number" ).on( "change", function() {
		$.viewMap = {
			'yes' : $( ".wcgwp_number_max" ),
			'no' : $( [] ),
		};
		$.each( $.viewMap, function() {
			this.closest( "tr" ).hide();
		});
		$.viewMap[ $( this ).val() ].closest( "tr" ).show();
	}).trigger( "change" );
	$( '#wcgwp_line_item' ).on( "change", function() {
		$.viewMap = {
			"cartitem" : $( ".wcgwp_product_num" ),
			"attribute" : $([]),
			"no" : $([]),
		};
		$.each( $.viewMap, function() {
			this.closest( "tr" ).hide();
		});
		$.viewMap[ $(this).val() ].closest( "tr" ).show();
	}).trigger( "change" );
	$( "#wcgwp_modal_animate" ).on( "change", function() {
		if ( this.checked ) {
			$( ".wcgwp_animate_on" ).closest( "tr" ).show();
		} else {
			$( ".wcgwp_animate_on" ).closest( "tr" ).hide();
		}
	}).trigger( "change" );
	$( "#wcgwp_product_display" ).on( "change", function() {
		if ( $( this ).val() == "checkbox" ) {
			$( "#wcgwp_checkbox_textarea" ).closest( "tr" ).show();
		} else {
			$( "#wcgwp_checkbox_textarea" ).closest( "tr" ).hide();
		}
	}).trigger( "change" );
	$( ".wcgwp-donation .wcgwp-donation-dismiss" ).on( "click", function(){
		let dismiss = $( this );
		$.post(
			ajaxurl,
			{
				action: "wcgwp_dismiss_notice",
				security: dismiss.data( "security" )
			},
			function() {
				dismiss.parent().slideUp();
			}
		);
	});
});